Subject: bug#46048: split -n K/N loses data, sum of output files is smaller than input file.

From: Pádraig Brady <[email-masked]>
Date: Mon, 8 Feb 2021 13:54:27 +0000

On 25/01/2021 14:21, Pádraig Brady wrote:
> On 24/01/2021 19:55, Paul Eggert wrote:
>> On 1/24/21 8:52 AM, Pádraig Brady wrote:
>>> -      if (lseek (STDIN_FILENO, start, SEEK_CUR) < 0)
>>> +      if (lseek (STDIN_FILENO, start, SEEK_SET) < 0)
>>
>> Dumb question: will this handle the case where you're splitting from
>> stdin and stdin is a seekable file and its initial file offset is nonzero?
> 
> Right. Following on the logic from input_file_size(),
> I'm going with the attached, which I'll push later.
> Marking this as done.

Note this fix has now propagated to Fedora builds,
and is in the process of propagating to RHEL/Centos.

I've just logged a debian bug also:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=982300

cheers,
Pádraig